<template>
  <LayoutMain>
    <section>
      <b-container>
        <!-- Título -->
        <b-row align-h="center">
          <b-col cols="12">
            <TitleShape title="Registrarse" />
          </b-col>
        </b-row>
      </b-container>
      <div class="color-wrapper">
      <b-container>
        <!-- Formulario -->
        <b-form-row class="justify-content-center text-center">
          <b-col cols="5">
              <b-form @submit.prevent="signup">
                <b-form-group label-for="email">
                  <b-form-input id="email" type="email" v-model="email" required placeholder="Email"></b-form-input>
                </b-form-group>
                <b-form-group id="password"  label-for="input-2">
                  <b-form-input id="password" type="password" required v-model="password" placeholder="Contraseña"></b-form-input>
                </b-form-group>
                <b-form-group label-for="passwordConfirm">
                  <b-form-input id="passwordConfirm" type="password" required v-model="password_confirmation" placeholder="Confirmar contraseña"></b-form-input>
                  <p>{{ errors.password_confirmation }}</p>
                </b-form-group>
                <b-form-group class="text-left">
                <b-form-checkbox id="terms" name="terms" value="1" unchecked-value="0" required v-model="terms">Acepto los términos de uso y condiciones</b-form-checkbox>
                </b-form-group>
                <b-container fluid>
                  <b-row>
                    <b-col cols="6">
                      <b-button size="lg" link="/recordar-contraseña" variant="primary" >Ya tengo cuenta</b-button>
                    </b-col>
                    <b-col cols="6">
                      <b-button size="lg" type="submit">Registrarse</b-button>
                    </b-col>
                  </b-row>
                  </b-container>
              </b-form>
          </b-col>
        </b-form-row>
      </b-container>
      </div>
    </section>
  </LayoutMain>
</template>

<script>
// @ is an alias to /src
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";

export default {
  name: "home",
  components: {
    LayoutMain,
    TitleShape
  },
  data() {
    return {
      errors: {},
      email: null,
      password: null,
      password_confirmation: null,
      terms: null
    };
  },
  methods: {
    signup: function() {

      this.errors = {};
      if (this.password != this.passwordConfirm) {
        this.errors.passwordConfirm = "Las contraseñas no coinciden";
      }

      const { email, password, password_confirmation, terms } = this
      console.log(terms)
      this.$store.dispatch('auth/signup', { email, password, password_confirmation, terms}).then(result => {        
        this.$router.push("/activation");//push me redirige a /
      }).catch(
        (error) => {
          alert(error)
        }
      );
    }
  
  }
};
</script>